com.digi.xbee.api

## Class XBee

- java.lang.Object
- - com.digi.xbee.api.XBee

-     public class XBee
      extends Object

  Helper class used to create a serial port connection interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBee()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IConnectionInterface` | `createConnectiontionInterface(String port, int baudRate)` Retrieves a serial port connection interface for the provided port with the given baud rate.
    `static IConnectionInterface` | `createConnectiontionInterface(String port, SerialPortParameters serialPortParameters)` Retrieves a serial port connection interface for the provided port with the given serial port parameters.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBee

          public XBee()

  - ### Method Detail

    - #### createConnectiontionInterface

          public static IConnectionInterface createConnectiontionInterface(String port,
                                                           int baudRate)

      Retrieves a serial port connection interface for the provided port with the given baud rate.
      Parameters:
        `port` - Serial port name.
        `baudRate` - Serial port baud rate.
      Returns:
        The serial port connection interface.
      Throws:
        `NullPointerException` - if `port == null`.
      See Also:
        `createConnectiontionInterface(String, SerialPortParameters)`, `IConnectionInterface`

    - #### createConnectiontionInterface

          public static IConnectionInterface createConnectiontionInterface(String port,
                                                           SerialPortParameters serialPortParameters)

      Retrieves a serial port connection interface for the provided port with the given serial port parameters.
      Parameters:
        `port` - Serial port name.
        `serialPortParameters` - Serial port parameters.
      Returns:
        The serial port connection interface.
      Throws:
        `NullPointerException` - if `port == null` or if `serialPortParameters == null`.
      See Also:
        `createConnectiontionInterface(String, int)`, `IConnectionInterface`, `SerialPortParameters`

© Copyright 2014–2014 Digi International Inc. All rights reserved.